<?php

namespace App\Entity\Product;

use Lc\CaracoleBundle\Repository\Product\ProductRepository;
use Doctrine\ORM\Mapping as ORM;
use Lc\CaracoleBundle\Model\Product\ProductInterface;
use Lc\CaracoleBundle\Model\Product\ProductModel;

/**
 * @ORM\Entity(repositoryClass=ProductRepository::class)
 */
class Product extends ProductModel implements ProductInterface
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    public function getId(): ?int
    {
        return $this->id;
    }
}
